# Uses of Class
it.tdlight.jni.TdApi.ChatFolderIcon

## Uses of TdApi.ChatFolderIcon in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.ChatFolderIcon
Modifier and Type
Field
Description
`TdApi.ChatFolderIcon`
TdApi.ChatFolder.`icon`
The chosen icon for the chat folder; may be null.
`TdApi.ChatFolderIcon`
TdApi.ChatFolderInfo.`icon`
The chosen or default icon for the chat folder.
Constructors in it.tdlight.jni with parameters of type TdApi.ChatFolderIcon
Modifier
Constructor
Description
``
`ChatFolder(String title, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, long[] pinnedChatIds, long[] includedChatIds, long[] excludedChatIds, boolean excludeMuted, boolean excludeRead, boolean excludeArchived, boolean includeContacts, boolean includeNonContacts, boolean includeBots, boolean includeGroups, boolean includeChannels)`
Represents a folder for user chats.
``
`ChatFolderInfo(int id, String title, TdApi.ChatFolderIcon icon, int colorId, boolean isShareable, boolean hasMyInviteLinks)`
Contains basic information about a chat folder.